'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = Encoder;
function Encoder(_ref) {
  var TextEncoder = _ref.TextEncoder,
      TextDecoder = _ref.TextDecoder;

  var encoder = new TextEncoder('utf-8');
  var decoder = new TextDecoder('utf-8');

  var encode = function encode(string) {
    return encoder.encode(string);
  };
  var decode = function decode(data) {
    return decoder.decode(data);
  };

  return { encode: encode, decode: decode };
}